var validaIniciar=false;
var validaAyuda=false;
//var validaSitioWeb=false;

var menuState = {
	create: function () {
		//Añadir la imagen de fondo
		game.add.image(0,0,'backgroundMenu');
		
		//Mostrar el nombre del juego
		var nameLabel = game.add.text(game.world.centerX, 50, 'Naves Binarias', {font: '40px Arial', fill: '#ffffff' });
		nameLabel.anchor.setTo(0.5,0.5);
		
		//var scoreLabel = game.add.text(game.world.centerX, 300, 'score: ' + game.global.score, {font: '25px Arial', fill: '#ffffff' });
		//scoreLabel.anchor.setTo(0.5,0.5);
		//Explicar como iniciar el juego
		var startLabel=game.add.text(game.world.centerX,game.world.centerY-35,'Da clic al boton Iniciar',{font: '25px Arial',fill:'#ffffff'});
		startLabel.anchor.setTo(0.5,0.5);
		//var startLabel = game.add.text(game.world.centerX, 350, 'press the up arrow key to start', {font: '25px Arial', fill: '#ffffff' });
		//startLabel.anchor.setTo(0.5,0.5);
		//Crear variable nueva de teclado la de flecha arriba
		//var upKey = game.input.keyboard.addKey(Phaser.Keyboard.UP);
		//Cuando -upKey- sea presionada invocará a la función -start-
		//upKey.onDown.addOnce(this.start, this);
		

		
		
		if (!localStorage.getItem('bestScore')) {
			localStorage.setItem('bestScore', 0);
		}
		if (game.global.puntajeAlmacenar > localStorage.getItem('bestScore')) {
			localStorage.setItem('bestScore', game.global.puntajeAlmacenar);
		}
		
		var maximumScore=game.add.text(game.world.centerX,game.world.centerY-5,'Puntuacion maxima: '+localStorage.getItem('bestScore'),{font: '25px Arial',fill:'#ffffff'});
		maximumScore.anchor.setTo(0.5,0.5);
		
		
		this.imagenLogo=game.add.sprite(10,80,'imagenLogo');
		
		
		this.btnIniciar=game.add.sprite(10,altoJuego*(1/2)+20,'btnIniciar');
		this.btnAyuda=game.add.sprite(10,altoJuego*(65/100)+20,'btnAyuda');
		//this.btnSitioWeb=game.add.sprite(10,altoJuego*(8/10)+20,'btnSitioWeb');
	
		this.btnIniciar.inputEnabled=true;
		this.btnIniciar.events.onInputOver.add(function() {validaIniciar=true;},this);
		this.btnIniciar.events.onInputOut.add(function() {validaIniciar=false;},this);
		this.btnIniciar.events.onInputDown.add(function() {validaIniciar=true;},this);
		this.btnIniciar.events.onInputUp.add(function() {validaIniciar=false;},this);
	
		this.btnAyuda.inputEnabled=true;
		this.btnAyuda.events.onInputOver.add(function() {validaAyuda=true;},this);
		this.btnAyuda.events.onInputOut.add(function() {validaAyuda=false;},this);
		this.btnAyuda.events.onInputDown.add(function() {validaAyuda=true;},this);
		this.btnAyuda.events.onInputUp.add(function() {validaAyuda=false;},this);

		//this.btnSitioWeb.inputEnabled=true;
		//this.btnSitioWeb.events.onInputOver.add(function() {validaSitioWeb=true;},this);
		//this.btnSitioWeb.events.onInputOut.add(function() {validaSitioWeb=false;},this);
		//this.btnSitioWeb.events.onInputDown.add(function() {validaSitioWeb=true;},this);
		//this.btnSitioWeb.events.onInputUp.add(function() {validaSitioWeb=false;},this);		
	},
	
	update: function() {
		if (validaIniciar==true) {
			validaIniciar=false;
			game.state.start('play');
		}
		if (validaAyuda==true) {
			validaAyuda=false;
			//alert('Aqui va la ayudita...');
			game.state.start('help');
		}
		//if (validaSitioWeb==true) {
			//validaSitioWeb=false;
			//alert('Aqui va lo de redireccionar...');
		//	window.open("http://proyectoseducativoshtml5.esy.es/01-naves-binarias/principal.html","_self");
		//}
	},
	
	
	//start: function () {
		//Inicia en si el jueguichi
	//	game.state.start('play');
	//},
};
